import { EventEmitter, OnChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs/Rx';
import { BundleService, IBundle } from '../services/bundle-service';
export declare class AddToBundleDialogContainer implements OnChanges {
    bundleService: BundleService;
    assetId: string;
    hidden: boolean;
    close: EventEmitter<{
        isCanceled: boolean;
    }>;
    cancel: EventEmitter<boolean>;
    errorMessage: BehaviorSubject<string>;
    bundlesLoaded: boolean;
    constructor(bundleService: BundleService);
    ngOnChanges(change: any): void;
    addToBundle(bundle: IBundle): void;
}
