import { EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs/Rx';
import { BundleService, IPublishEnvironment } from '../services/bundle-service';
export declare class PushPublishDialogContainer {
    bundleService: BundleService;
    assetId: string;
    hidden: boolean;
    environmentStores: IPublishEnvironment[];
    close: EventEmitter<{
        isCanceled: boolean;
    }>;
    cancel: EventEmitter<boolean>;
    errorMessage: BehaviorSubject<string>;
    constructor(bundleService: BundleService);
    doPushPublish(environment: IPublishEnvironment): void;
}
